
if not Dominos then
	return
end
local bar = _G[...]
--[[ Module ]]--

do
	local QuestLogController = bar.master:NewModule('QuestLogBar', 'AceEvent-3.0')

	function QuestLogController:Load()
		self.bar = bar:New()
		self.bar:Layout()
	end

	function QuestLogController:Unload()
		self:UnregisterAllEvents()

		if self.bar then
			self.bar:Free()
		end
	end

	function QuestLogController:UpdateButtons()
		if InCombatLockdown() then return end
		self.bar:UpdateButtons()
	end
end
